Subject: Re: [bug#42885] [PATCH 23/27] gnu: calibre: Update to 5.13.0.

From: Leo Famulari <[email-masked]>
Date: Thu, 8 Apr 2021 00:28:15 -0400

On Thu, Apr 08, 2021 at 06:11:55AM +0200, Brendan Tildesley wrote:
> Well, using a python-pyqt with the python-sip input set back to python-sip-4 fixes it. Do we want to commit to getting it working with python-sip@5. I'm still playing around with it trying to get it to build

I think it's okay to use python-sip-4, unless you want to hunt down this
bug.

> Not sure where you see that sip error. The builds fail for me with
> 
> make[2]: Leaving directory '/tmp/guix-build-qgis-3.16.3.drv-0/build'
> make[2]: *** [python/CMakeFiles/python_module_qgis__core_autogen.dir/build.make:682: python/core/sip_corepart0.cpp] Error 1
> make[2]: *** Deleting file 'python/core/sip_corepart0.cpp'
> make[2]: Leaving directory '/tmp/guix-build-qgis-3.16.3.drv-0/build'
> make[1]: *** [CMakeFiles/Makefile2:8003: python/CMakeFiles/python_module_qgis__core_autogen.dir/all] Error 2

I see these lines too, but later. The QtXml error may be a few lines
above.